/*
 * Copyright 2020 École des Mines de Saint-Étienne.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package fr.emse.gitlab.saref.sparqlext.entities;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import org.apache.jena.rdf.model.Resource;

/**
 *
 * @author maxime.lefrancois
 */
public class Project {

    public String name;
    public String http_url_to_repo;
    public transient File directory;
    public transient List<Version> releases = new ArrayList<>();
    public transient String namespace;
    public transient String prefix;
    public transient Resource resource;
}
